org.apache.felix.utils.version

## Class VersionCleaner

- java.lang.Object
- - org.apache.felix.utils.version.VersionCleaner

    public final class VersionCleaner
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `clean(String version)` Clean up version parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### clean

    public static String clean(String version)

Clean up version parameters. Other builders use more fuzzy definitions of the version syntax. This method cleans up such a version to match an OSGi version.

Parameters:
  `version` - The version to clean
Returns:
  The cleaned version